/* Copyright (c) 2003, Nokia Mobile Phones. All rights reserved */

#include <eikgted.h> 
#include <eikseced.h> 
#include <eikenv.h>
#include <e32base.h>
#include <eikchlst.h>


#include "S80Bible.hrh"
#include "fontdialog.h"

// Constructor
CFontDialog::CFontDialog(TInt &aIndex)
{
	iIndex = &aIndex;
}

void CFontDialog::SetList(CDesCArrayFlat * aList)
{
	iStrings = aList;
}

// Preset fields prior to dialog display
void CFontDialog::PreLayoutDynInitL()
{
    CCoeControl* myControlPtr = this->Control(ES60BibleFont);
    CEikChoiceList* mychoicelist = static_cast<CEikChoiceList*>(myControlPtr);
    mychoicelist->SetArrayL(iStrings);
}


// Extract text from dialog
TBool CFontDialog::OkToExitL(TInt /* aKey */)
{
    CCoeControl* myControlPtr = this->Control(ES60BibleFont);
    CEikChoiceList* mychoicelist = static_cast<CEikChoiceList*>(myControlPtr);
	
	*iIndex = mychoicelist->CurrentItem();
    return ETrue;
}
