/*
 *  log.cpp
 *  
 *
 *  Created by Yohanes Nugroho on 02/04/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include <flogger.h>
#include <e32svr.h>
#include <stdlib.h>
#include <stdio.h>
#include "log.h"

void Wlog(char *msg)
{
	FILE *f = fopen("c:\\data\\s60bible.txt", "a+");
	TTime t;
	t.HomeTime();
#ifdef I64LOW	
	fprintf(f, "%d: %s\n", I64LOW(t.Int64()), msg);
#else
	fprintf(f, "%d: %s\n", (t.Int64()).Low(), msg);
#endif
	fclose(f);	
}

void Wlog(char *msg, int n)
{
	Wlog(msg);
	char buff[100];
	sprintf(buff, "%d", n);
	Wlog(buff);
}


void LogL(const TDesC& msg)
{
        RFileLogger iLog;
        User::LeaveIfError(iLog.Connect());
        CleanupClosePushL(iLog);
        iLog.CreateLog(_L("S60Bible"),_L("S60Bible.txt"),EFileLoggingModeAppend);
        RDebug::Print(msg.Left(128));
		iLog.Write(msg.Left(128));
        iLog.CloseLog();
        CleanupStack::PopAndDestroy();
}

void LogL(const TDesC& msg, int N)
{
		TBuf<10> strnum;
		strnum.Zero();
		strnum.AppendNum(N);
		LogL(msg);
		LogL(strnum);
}


void Log(const TDesC& msg)
{
        TRAPD(err, LogL(msg));
        // ignore error, not much else we can do
        // and not critical
}
